Displaying 6 results from an estimated 6 matches for "is_upgrade".
Did you mean:
distupgrade
2009 Nov 16
1
Refactored upgrade patch...
This patch includes feedback from apevec to remain backward compatible
with the previous karg, ovirt_local_boot.
2009 Nov 13
1
[PATCH] Provides an explicit upgrade path for an installed node.
...ipts/ovirt-firstboot
index bdafb33..650dcf7 100755
--- a/scripts/ovirt-firstboot
+++ b/scripts/ovirt-firstboot
@@ -32,7 +32,7 @@ trap 'exit $?' 1 2 13 15
start ()
{
- if ! is_firstboot && ! is_auto_install; then
+ if ! is_firstboot && ! is_auto_install && ! is_upgrade; then
return
fi
@@ -46,14 +46,18 @@ start ()
ovirt-config-networking AUTO
ovirt-config-logging AUTO
ovirt-config-collectd AUTO
- ovirt-config-password AUTO
- if [ "$OVIRT_LOCAL_BOOT" = 1 ]; then
- mount_live
- ovirt-c...
2009 Nov 16
2
Resend...
Resending the refactored patch: I realized after I emailed it that it
referenced the wrong bugzilla.
2010 Mar 11
1
[PATCH] Changes the start/stop/reload method names for sysvinit scripts.
...s
prog=ovirt-firstboot
-lockfile=/var/lock/subsys/$prog
+VAR_SUBSYS_OVIRT_FIRSTBOOT=/var/lock/subsys/$prog
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
-start ()
+start_ovirt_firstboot ()
{
if ! is_firstboot && ! is_auto_install && ! is_upgrade; then
return
fi
-
- touch $lockfile
+
+ touch $VAR_SUBSYS_OVIRT_FIRSTBOOT
# by default in standalone, disable collectd until server is configured
service collectd stop > /dev/null 2>&1
@@ -74,7 +74,17 @@ start ()
ovirt_store_firstboot_config >> $...
2010 Feb 23
1
More complete patch...
This patch supercedes the previous one by moving the functionality for
relocating files into the make system.
2010 Oct 22
0
[PATCH node] First draft of replacing some of the ovirt-config-* scripts with python equivalents.
...ovirt_vol is not specified, default volume sizes are set
+def is_auto_install():
+ if OVIRT_VARS.has_key("OVIRT_BOOTIF") and OVIRT_VARS.has_key("OVIRT_INIT"):
+ return True
+ else:
+ return False
+
+# return 0 if this is an upgrade
+# return 1 otherwise
+def is_upgrade():
+ if OVIRT_VARS.has_key("OVIRT_UPGRADE") and OVIRT_VARS["OVIRT_UPGRADE"] == 1:
+ return True
+ else:
+ return False
+
+# return 0 if booted from local disk
+# return 1 if booted from other media
+def is_booted_from_local_disk():
+ ret = os.system("...